Bug 487256 - Publican does not find Common Content if the country code is missing
Publican does not find Common Content if the country code is missing
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-24 22:50 EST by Ruediger Landmann
Modified: 2010-11-23 23:18 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.43
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 23:49:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2009-02-24 22:50:43 EST
Description of problem:
If the makefile specifies a language but omits its country code, Publican does not find the Common Content for that language. 

How reproducible:
100%

Steps to Reproduce:
1. Take any book that currently builds in Publican that includes at least one language other than the book's XML_LANG that has Common Content in Publican (for example, French)
2. rename the folder containing that language's .po files, removing the dash and the country code (rename fr-FR to fr)
3. make the same change to that language's OTHER_LANGS entry in the makefile
4. make the book
  
Actual results:
Publican will not find the Common Content for that language ("Conventions" and "Feedback") and will therefore use the Common Content for the book's XML_LANG instead.

Expected results:
Even if no country code is specified, Publican should find and use the Common Content for that language.
Comment 1 Jeff Fearn 2009-02-24 23:49:28 EST
Added  ll sym-links  to ll-CC.

e.g. fr -> fr-FR

This change requires brands to be rebuilt as well.
Comment 2 Fedora Update System 2009-03-18 19:57:18 EDT
publican-fedora-0.18-0.fc10,publican-0.44-0.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/publican-fedora-0.18-0.fc10,publican-0.44-0.fc10
Comment 3 Fedora Update System 2009-03-26 10:53:27 EDT
publican-fedora-0.18-0.fc10, publican-0.44-0.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.